Bug 446956 - Webcams appear in scanner list
Summary: Webcams appear in scanner list
Status: RESOLVED FIXED
Alias: None
Product: Skanpage
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: Alexander Stippich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-12-13 22:51 UTC by Nate Graham
Modified: 2022-07-03 08:50 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 22.08


Attachments
Webcam-taken "scan" (1.36 MB, image/png)
2021-12-13 22:51 UTC, Nate Graham
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nate Graham 2021-12-13 22:51:15 UTC
Created attachment 144526 [details]
Webcam-taken "scan"

So you can use this scanner app to take pictures using a webcam! That's a bit... special. :)
Comment 1 Bug Janitor Service 2022-06-20 20:20:03 UTC
A possibly relevant merge request was started @ https://invent.kde.org/utilities/skanpage/-/merge_requests/32
Comment 2 Alexander Stippich 2022-06-25 12:30:05 UTC
Git commit 5f41334fc0321d63ff7f6b245816269b6bad0648 by Alexander Stippich.
Committed on 25/06/2022 at 12:21.
Pushed by astippich into branch 'master'.

use KConfigXT for state and a new settings window

M  +3    -0    src/CMakeLists.txt
M  +4    -4    src/DocumentModel.cpp
M  +3    -3    src/DocumentModel.h
M  +9    -0    src/FormatModel.cpp
M  +3    -1    src/FormatModel.h
M  +23   -1    src/Skanpage.cpp
M  +6    -0    src/Skanpage.h
M  +4    -0    src/main.cpp
M  +1    -0    src/qml.qrc
M  +5    -3    src/qml/ContentView.qml
M  +3    -3    src/qml/ExportWindow.qml
M  +71   -50   src/qml/MainWindow.qml
A  +120  -0    src/qml/SettingsWindow.qml     [License: GPL(3+eV) GPL(v3.0) GPL(v2.0)]
A  +21   -0    src/skanpage_config.kcfg
A  +7    -0    src/skanpage_config.kcfgc
A  +3    -0    src/skanpage_config.kcfgc.license
A  +87   -0    src/skanpage_state.kcfg
A  +7    -0    src/skanpage_state.kcfgc
A  +3    -0    src/skanpage_state.kcfgc.license

https://invent.kde.org/utilities/skanpage/commit/5f41334fc0321d63ff7f6b245816269b6bad0648
Comment 3 Kevin Kofler 2022-07-02 21:47:45 UTC
Well, you can use *any* scanning app to take pictures from a webcam thanks to the libsane V4L backend… except now Skanpage where you explicitly removed this useful feature for no good reason.
Comment 4 Alexander Stippich 2022-07-03 08:50:52 UTC
It's configurable in the new settings window